Cannot Change version of project facet Dynamic Web Module to 2.5

I recently faced this error while writing my code on STS. The solution is very simple. Navigate to your folder project mine in located under STS workspace and go to .settings folder and look for the file called “org.eclipse.wst.common.project.facet.core.xml”

Open this xml file with your favorite text editor and change the  jst.web the version to 2.5 and update maven project you are good to go

<?xml version="1.0" encoding="UTF-8"?>
<faceted-project>
  <fixed facet="wst.jsdt.web"/>
  <installed facet="jst.web" version="2.3"/>
  <installed facet="wst.jsdt.web" version="1.0"/>
  <installed facet="java" version="1.7"/>
</faceted-project>

One thought on “Cannot Change version of project facet Dynamic Web Module to 2.5

Leave a Reply

Your email address will not be published. Required fields are marked *